---
title: Bazaar (bzr)
language: en
layout: default
created: 2008-07-31 22:32:29 +0200
updated: 2008-08-01 00:41:36 +0200
toc: false
tags:
  - know-how
  - development
  - dvcs
  - bazaar
---
Bazaar is a distributed versioning system.

**Homepage:** <http://bazaar-vcs.org/>  
**Tutorial:** [Bazaar in five minutes](http://doc.bazaar-vcs.org/bzr.dev/en/mini-tutorial/index.html), [Bazaar User Guide](http://doc.bazaar-vcs.org/bzr.dev/en/user-guide/index.html)


Most used commands
==================


Create local branch
-------------------

    bzr init
    bzr add file1 file2 fileN
    bzr commit -m "Initial import"


Create local repo
-----------------

    bzr init-repo
    bzr init trunk
    bzr init branches
    bzr init tags


Copy remote repo
----------------

    bzr branch bzr://path/to/repo

This copies the branch to your local directory. The two repos are still independent.


Convert to checkout
-------------------

    bzr bind bzr://path/to/repo

Connects to that repository so commits are always made on both repos unless the `--local` parameter is given. Local
commits can be merged later by `bzr update` followed by `bzr commit`. `unbind` removes the connection with the
parent repo.


Import SVN dump file
====================

To import a Subversion dump, use [svn2bzr.py](http://bazaar-vcs.org/svn2bzr) (or at [LaunchPad](https://launchpad.net/svn2bzr)).
You will mostly just convert the dumpfile to a big bzr-repo:

    svn2bzr.py svn.dump bzr/

You can then push the repo to the central repo by issuing

    bzr push bzr/ bzr://path/to/central/repo
