---
title: Getting Email Under Control
language: en
layout: default
created: 2008-07-15 23:59:52 +0200
updated: 2008-07-15 23:59:52 +0200
toc: false
tags:
  - know-how
  - gettingthingsdone
  - gtd
  - email
---
* **Homepage:** [www.davidco.com](http://www.davidco.com/store/catalog/NEW-Getting-Email-Under-Control-p-16377.php)

Managing the flood of email messages that most of us need to interact with on a daily basis is a growing challenge. No
one's volume is diminishing. That "beast is out of the barn," and we're not going to be able to shove it back in! So,
getting a grip on it with a good systematic approach is critical for staying sane.

If you are in the small minority of people currently able to maintain less than a screen-full of email most of the time
(because your volume is low and/or you process them rapidly and consistently), your system is probably fine as-is. If
you regularly have many more than that (hundreds, thousands?) residing in your email in-box, you're dangerously subject
to stress and numbness relative to your digital communication world.

Because of the volume of discrete messages and the speed with which they show up, email seems to be a unique demon,
with a life of its own. In essence, however, email is no different than a desktop in-basket or an answering machine –
it's simply a collection box for incoming communication and information that needs to be assessed, processed, and
organized as appropriate. And controlling email involves the same challenge as managing your physical in-basket – often
too much stuff that we don't have the time or inclination to process and organize as it comes in. So it easily becomes
a swamp of "staged" or "pending" items – glanced at, perhaps even read, but not decided about or effectively organized
(I have uncovered as many as 7,000 emails still festering in a client's in-tray).


The Big Challenge
=================

As email is simply an in-box, it needs to be emptied regularly to be maximally functional. "Empty" does not mean
finishing all the work embedded in your emails – it means making decisions about what each one means and organizing it
accordingly. The same procedures apply to any in-box – whether it's the tray on your desk or your answering machine.
They should be processing stations, not storage bins. Because the volume in the computer is much greater than an audio
or paper-based "in," however, getting it to zero seems particularly daunting. But there is no light at the end of the
tunnel if you are merely letting things pile up there. It takes less effort to start every day or two from zero in your
in-box than it does to maintain "amorphous blobs" of accumulated and unorganized "stuff" that must continually be
re-read and re-assessed for what they mean.


The Basics
==========

We have seen hundreds of unique ways people have come up with to manage their email, and many work just fine – as long
as nothing is lost, the inventory does not continue to increase, and someone can easily see the emails they need to
take action on. Here are some basic procedures that commonly work for everyone:

**Use the DELETE key!** The ease with which we trash things from our physical mail doesn't seem to translate to the
computer for many people – perhaps because emails don't take up much physical space and they are so easily parked
somewhere that's not immediately in our face. They're taking up psychic space, however, and deleting everything that we
don't really need, as we encounter it, is crucial to managing the flood. When in doubt, throw it out. If you've let
emails pile up, purging is the first thing to do. Sometimes it is easier to clean house by clicking the "From" button
which will sort them by their source – you can often dump several at a time that way.

**File!** Use a simple storage system for stuff you want to keep as archives and support information. If you're a "when
in doubt, keep it" person, that's fine, but don't have it clogging up your in-basket. Make reference folders in your
navigator bar and file those kinds of emails over there. It's a lot easier to lose track of them among the five hundred
or a thousand in your in-box than in a folder you can name. And your Search function can easily find most anything with
a key word. Avoid using nested folders that you have to click open to find the file. One simple alpha-sorted list – by
topic, theme, or person – is usually sufficient and easier to deal with on the run. Purge them when you have little
windows of time with nothing better to do.

**Complete the < 2-minute ones!** The infamous two-minute rule is crucial for email management. Anything you can deal
with in less than two minutes, if you're ever going to do it at all, should be done the first time you see it. It takes
longer to read it, close it, open it, and read it again than it would to finish it the first time it appears. In a
heavy email environment, it would not be unusual to have at least a third of them require less than two minutes to
dispatch.

**Organize emails that require action and follow-up!** If you've deleted, filed, and finished your < twominute emails,
you're left with only two kinds: (1) those that require more than two minutes to deal with and (2) those that represent
something you're waiting on from others. A simple and quick way to get control is to create two more folders in your
navigator bar – "Action" and "Waiting For" and file them accordingly. These folders should be visually distinct from
your reference folders and should sit at the top of your folder list, which can be accomplished by making them all caps
with a prefix punctuation like the @ symbol or a hyphen (whichever will sort the folders to the top).

If you've deleted, filed, finished, or sorted your emails into action-reminding folders, you're left with an empty
in-basket. Now, at least, it will be much easier to review and evaluate a more complete inventory of your work at hand;
and you'll find it's a lot easier to focus – on email or on anything else.


The On-Going Challenge
======================

You must consistently review actionable emails. Once you get your in-basket to zero, it will feel fantastic. But you
can't ignore the batch of ACTION emails you've organized. The problem with computers as reminder tools is the
out-of-sight-out-of-mind syndrome. If you're not reviewing them regularly enough, they will start to gnaw on your
psyche, creating even more avoidance and bad feelings. People leave emails in their in-basket to begin with for the
same reason they pile things on their desk, thinking, "If it's in front of me, I won't lose or forget it." Of course
that seemingly practical habit of visual cuing is undermined by the volume and ambiguity of what's in the piles. They
create numbness instead of clarity. It's much easier to assess your workload with actionable emails organized in one
place. But it requires the good habit of checking on them regularly to feel OK about what you're not doing with them at
the moment.

All this takes time and mental energy. Pretending that you can get email under control without dedicating the necessary
personal resources to do it leads to frustration and stress. These best practices help make the process as efficient as
possible, but the freedom that comes from having them under control is still not free. Just as people have learned to
accept commute time as dues they pay to live and work where they'd prefer, you must integrate the time and energy to
deal with email into your life and work style.


Customized Approaches
=====================

As personal management software has continued to evolve, in both the standard desktop as well as the myriads of
creative small applications and add-ins, the possibilities for variations in how to manage email abound. They can be
coded, colored, and automatically filed. They can be sorted by prioritized senders. They can be deferred for retrieval
at later times. They can be transferred and melded into task and to-do management functions in other parts of the
software.

If you set up and begin to get used to a simple folder system for actionable emails, you might find some specialized
sub-categories useful. "Read/Review" can be a folder for FYI-type emails (though printed versions of long ones are
easier to manage than on screen). "To Print" can be useful if you are not at a printer regularly. Some people find that
taking the time to edit the subject lines of their own stored emails to reflect the specific action they need to take
is useful.


Best Practices
==============

But no matter how you tweak it or how cool the unique features and good tricks are that you might explore and even
integrate as consistent functions into your personal system, the core principles of good workflow management must be
followed to foster relaxed control of the beast:

**Keep actionable and non-actionable emails in separate places.** It's too complex and stressful for your brain to
constantly have to re-sort it every time it looks at it. A system works much better than your psyche for that. Emails
filed in reference folders that still represent things to do produce anxiety; and email in the in-basket that is only
needed for retrievable information will fog up your focus. Because most people don't have a good action-reminder system
per se, they are trying to make their reference folders a system for remembering what to do, and that never really
works. If reference and action reminders are separate things, it allows much more freedom and ease with keeping as much
reference material as you want – it simply becomes a library.

**Keep it clean.** Residue seems to self-generate but it doesn't self-destruct! Delete what you can to begin with, and
purge your reference files regularly, as things get out of date and lose their value to you.

**Keep them reviewed.** As with any action-reminder system, if you don't review and reassess the reminders of actions
you might need to be taking, your mind will take back the job; and it doesn't do that job very well. You'll then avoid
looking at your system and not really trust anything you're doing because of the hidden agreements with yourself you've
neglected to re-negotiate.

**Be good at the keyboard.** We would be remiss in not reminding you of one of the most important factors in email
management – how fast you type and how facile you are with shortcut keys and codes. Not only is poor typing speed
inefficient, it creates a resistance to engage with email that undermines all the best intentions to get on top of it.
If you're not up to at least fifty words per minute, getting there with a good typing tutor could make a world of
difference.

We recommend using the simplest approach you can get by with, adhering to these basic best practices, especially if
you're somewhat starting from scratch in getting this area under control. If you are relatively sophisticated in your
email management already, and setting up more complex procedures for yourself has actually made it simpler, that's
terrific. The challenge though is to keep it current, complete, and consistent – and not requiring more time and
thought than is worth the payoff you may get. Your process has to be so basic and almost automatic that you will
maintain it even when you don't feel like doing it.

Email, like any powerful tool, can be a blessing or a curse. And if the tool goes with the job, you need to invest in
whatever it takes to use it wisely and safely. It is a huge productivity enhancer, but when it gets away from you, it's
a severe occupational hazard.


©David Allen & Company 1998, 2008. All rights reserved. www.DavidAllenGTD.com
