---
title: SIEMENS S1621-Z220-A
language: de
layout: default
created: 2009-12-01 19:32:31 +0100
updated: 2009-12-03 09:23:13 +0100
toc: true
tags:
  - know-how
  - hardware
  - siemens
  - router
---
Dieser WLAN-Router wird von Alice unter der Bezeichnung *Alice Modem WLAN 1121* ausgeliefert. Die Standard-IP im
Auslieferungszustand ist `192.168.1.1`. Weitere Informationen gibt's im [alice-wiki.de](http://www.alice-wiki.de/Alice_Modem_1121_WLAN).


Telnet-Zugang
=============

Die Web-Oberfläche ist auf's nötigste kastriert, da Alice die Router via Fernwartung steuert.

* **Benutzername:** `admin`
* **Kennwort:** `Alice??????123`

Die Fragezeichen müssen durch die letzten 3 Bytes der MAC-Adresse des Routers in Großbuchstaben ersetzt werden.
Diese ist leider nicht aufgedruckt, sondern muss über den Befehl `arp -a` ermittelt werden, nachdem der Router
mindestens einmal angepingt wurde. Bei einer MAC-Adresse von `00:25:5e:18:d3:c9` ist das Kennwort also `Alice18D3C9123`.


dumpcfg2
--------

Dieser Befehl wirft die komplette Konfiguration als XML aus. Im Auslieferungszustand (nach Einstellen der Zugangsdaten)
sieht die etwa so aus:

{% highlight xml %}
<psitree>
<SystemInfo>
<protocol autoScan="enable" upnp="disable" igmpSnp ="disable" igmpMode ="disable" macFilterPolicy="forward" encodePassword="enable" siproxd="enable"/>
<sysLog state="disable" displayLevel="ERR" logLevel="DEBUG" option="local" serverIP="0.0.0.0" serverPort="514"/>
<snmp state="disable" readCommunity="public" writeCommunity="private" sysName="Broadcom" sysLocation="unknown" sysContact="unknown" trapIP="0.0.0.0"/>
<sysUserName value="admin"/>
<sysPassword value=""/>
<sptPassword value="c3VwcG9ydA=="/>
<usrPassword value="MA=="/>
<dns dynamic="enable" primary="192.168.1.1" secondary="192.168.1.1" domain="box" host="alice"/>
</SystemInfo>
<WirelessCfg>
<vars state="enabled" ssIdIndex="0" country="DE" apMode="ap"  bridgeRestrict="enabled"  wdsMAC_0=""  wdsMAC_1=""  wdsMAC_2=""  wdsMAC_3=""  band="b" channel="9" rate="auto" multicastRate="auto" basicRate="default" fragThreshold="2346" RTSThreshold="2347" DTIM="1" beacon="100" XPress="off" gMode="auto" gProtection="auto" preamble="long" AfterBurner="off" TxPowerPercent="100" WME="off" WMENoAck="off" WMEApsd="on"  RegulatoryMode="off" PreNetRadarDectTime="60" InNetRadarDectTime="60" TpcMitigation="0" AutoChannelTimer="0" globalMaxAssoc="16" />
<wlMssidVars tableSize="2">
<wlMssidEntry enblSsId="1" ssId="ALICE-WLAND8" hide="0" apIsolation="off" fltMacMode="disabled" disableWme="off" MaxAssoc = "16"  wsc_mode="enabled"  wsc_config_state="1"  authMode="psk" radiusServerIP="0.0.0.0" radiusServerPort="1812" radiusServerKey="" wep="disabled" auth="0" keyBit="128-bit" key64_1="" key64_2="" key64_3="" key64_4="" key64Index="1" key128_1=""  key128_2=""  key128_3=""  key128_4=""  key128Index="1" wpaRekey="0" wpakey="Y2QzY2U0YjhlMzJj"  Preauthentication="off" ReauthTimeout="36000" wpa="tkip" tr69cBeaconType="Basic" tr69cBasicEncryptionModes="None" tr69cBasicAuthenticationMode="None" tr69cWPAEncryptionModes="TKIPEncryption" tr69cWPAAuthenticationMode="PSKAuthentication" tr69cIEEE11iEncryptionModes="AESEncryption" tr69cIEEE11iAuthenticationMode="EAPAuthentication"/>
<wlMssidEntry enblSsId="0" ssId="Guest" hide="0" apIsolation="off" fltMacMode="disabled" disableWme="off" MaxAssoc = "16"  wsc_mode="enabled"  wsc_config_state="1"  authMode="psk" radiusServerIP="0.0.0.0" radiusServerPort="1812" radiusServerKey="" wep="disabled" auth="0" keyBit="128-bit" key64_1="" key64_2="" key64_3="" key64_4="" key64Index="1" key128_1=""  key128_2=""  key128_3=""  key128_4=""  key128Index="1" wpaRekey="0" wpakey=""  Preauthentication="off" ReauthTimeout="36000" wpa="tkip" tr69cBeaconType="Basic" tr69cBasicEncryptionModes="None" tr69cBasicAuthenticationMode="None" tr69cWPAEncryptionModes="TKIPEncryption" tr69cWPAAuthenticationMode="PSKAuthentication" tr69cIEEE11iEncryptionModes="AESEncryption" tr69cIEEE11iAuthenticationMode="EAPAuthentication"/>
</wlMssidVars>
</WirelessCfg>
<AtmCfg>
<initCfg structureId="2" threadPriority="25" freeCellQSize="10" freePktQSize="200" freePktQBufSize="1600" freePktQBufOffset="32" rxCellQSize="10" rxPktQSize="200" txFifoPriority="64" aal5MaxSduLen="64" aal2MaxSduLen="0"/>
</AtmCfg>
<AtmCfgTd>
<td1 cat="UBR" PCR="0" SCR="0" MBS="0"/>
</AtmCfgTd>
<AtmCfgVcc>
<vccId9999 portId="0" vpi="0" vci="65534" tdId="0" aalType="AAL2" adminStatus="down" encap="unknown" qos="disable" instanceId="1509949445"/>
<vccId1 portId="0" vpi="1" vci="32" tdId="1" aalType="AAL5" adminStatus="up" encap="llc" qos="disable" instanceId="1509949441"/>
<vccId2 portId="0" vpi="2" vci="32" tdId="1" aalType="AAL5" adminStatus="up" encap="llc" qos="disable" instanceId="1509949442"/>
<vccId3 portId="0" vpi="2" vci="33" tdId="1" aalType="AAL5" adminStatus="up" encap="llc" qos="disable" instanceId="1509949443"/>
<vccId4 portId="0" vpi="1" vci="34" tdId="1" aalType="AAL5" adminStatus="up" encap="llc" qos="disable" instanceId="1509949444"/>
<vccId5 portId="0" vpi="8" vci="35" tdId="1" aalType="AAL5" adminStatus="up" encap="llc" qos="disable" instanceId="1509949445"/>
</AtmCfgVcc>
<SecCfg>
<qosMgmtCfg enableQos="disable" defaultDSCPMark="-1" defaultQueue="-1"/>
<srvCtrlList ftp="lan" http="lan" icmp="lan" snmp="disable" ssh="disable" telnet="lan" tftp="disable"/>
</SecCfg>
<Lan>
<entry9999 address="1.1.1.1" mask="255.255.255.0" dhcpServer="disable" confDhcpSrv="disable" leasedTime="0" startAddr="0.0.0.0" endAddr="0.0.0.0" subnetMask="0.0.0.0" instanceId="1509949447"/>
<entry1 address="192.168.1.1" mask="255.255.255.0" dhcpServer="enable" confDhcpSrv="enable" leasedTime="168" startAddr="192.168.1.50" endAddr="192.168.1.100" subnetMask="255.255.255.0" instanceId="1509949441"/>
</Lan>
<RouteCfg>
<ripGlobal state="disable" ripIfcTableSize="1"/>
<ripIfc tableSize="1">
<ripIfcEntry id="1" name="br0" state="disable" version="2" operation="active"/>
</ripIfc>
</RouteCfg>
<PMapCfg>
<pmap tableSize="2">
<pmapEntry id="1" groupName="Default" groupKey="1" groupStatus="1" ifList="wl0:2|eth0.2:3|eth0.3:4|eth0.4:5|nas_0_8_35:10" vendorid0="" vendorid1="" vendorid2="" vendorid3="" vendorid4=""/>
<pmapEntry id="2" groupName="STB" groupKey="2" groupStatus="1" ifList="eth0.5:6|nas_0_1_34:9|nas_0_2_32:7|nas_0_2_33:8" vendorid0="" vendorid1="" vendorid2="" vendorid3="" vendorid4=""/>
</pmap>
<pmapFlt tableSize="10">
<pmapFltEntry id="1" instance="1" status="enable" bridgeRef="-1" interfaceRef="eth0"/>
<pmapFltEntry id="2" instance="2" status="enable" bridgeRef="1" interfaceRef="wl0"/>
<pmapFltEntry id="3" instance="3" status="enable" bridgeRef="1" interfaceRef="eth0.2"/>
<pmapFltEntry id="4" instance="4" status="enable" bridgeRef="1" interfaceRef="eth0.3"/>
<pmapFltEntry id="5" instance="5" status="enable" bridgeRef="1" interfaceRef="eth0.4"/>
<pmapFltEntry id="6" instance="6" status="enable" bridgeRef="2" interfaceRef="eth0.5"/>
<pmapFltEntry id="7" instance="7" status="enable" bridgeRef="2" interfaceRef="nas_0_2_32"/>
<pmapFltEntry id="8" instance="8" status="enable" bridgeRef="2" interfaceRef="nas_0_2_33"/>
<pmapFltEntry id="9" instance="9" status="enable" bridgeRef="2" interfaceRef="nas_0_1_34"/>
<pmapFltEntry id="10" instance="10" status="enable" bridgeRef="1" interfaceRef="nas_0_8_35"/>
</pmapFlt>
<pmapIfcCfg pmapIfName="eth0" pmapIfcStatus="enable"/>
</PMapCfg>
<Global>
<cfg quickbypass="1" enablefilt="0" isfirstdefault="0" rmflag="0" enableportwd="0"/>
</Global>
<ADSL>
<settings G.Dmt="enable" G.lite="disable" T1.413="disable" ADSL2="enable" AnnexL="disable" ADSL2plus="enable" AnnexM="disable" pair="inner" bitswap="enable" SRA="disable"/>
</ADSL>
<pppsrv_0_1_32>
<ppp_conId1 userName="XXXXXXXXXX" password="XXXXXXXXXX" serviceName="" idleTimeout="5" ipExt="disable" auth="auto" useStaticIpAddr="0" localIpAddr="0.0.0.0" manual="automatic" callid="" comfort="" tarif="" Debug="disable" pppAuthErrorRetry="disable" pppToBridge="enable" />
</pppsrv_0_1_32>
<wan_0_1_32>
<entry1 vccId="1" vlanMuxId="-1" conId="1" name="pppoe_0_1_32_1" protocol="PPPOE" encap="LLC" firewall="enable" nat="enable" fullcone="disable" igmp="enable" vlanId="-1" service="enable" instanceId="1509949442"/>
</wan_0_1_32>
<wan_0_2_32>
<entry1 vccId="2" vlanMuxId="-1" conId="1" name="br_0_2_32" protocol="BRIDGE" encap="LLC" firewall="disable" nat="disable" fullcone="disable" igmp="disable" vlanId="-1" service="enable" instanceId="1509949444"/>
</wan_0_2_32>
<wan_0_2_33>
<entry1 vccId="3" vlanMuxId="-1" conId="1" name="br_0_2_33" protocol="BRIDGE" encap="LLC" firewall="disable" nat="disable" fullcone="enable" igmp="disable" vlanId="-1" service="enable" instanceId="1509949445"/>
</wan_0_2_33>
<wan_0_1_34>
<entry1 vccId="4" vlanMuxId="-1" conId="1" name="br_0_1_34" protocol="BRIDGE" encap="LLC" firewall="disable" nat="disable" fullcone="enable" igmp="disable" vlanId="-1" service="enable" instanceId="1509949446"/>
</wan_0_1_34>
<wan_0_8_35>
<entry1 vccId="5" vlanMuxId="-1" conId="1" name="br_0_8_35" protocol="BRIDGE" encap="LLC" firewall="disable" nat="disable" fullcone="disable" igmp="disable" vlanId="-1" service="enable" instanceId="1509949447"/>
</wan_0_8_35>
<StaticIpCfg/>
<IPSec/>
<CertCfg/>
<DDNSCfg/>
<SNTPCfg/>
<ToDCfg/>
<ToDUrlFilter/>
<EngDbgCfg/>
<pppsrv_0_2_32/>
<pppsrv_0_2_33/>
<pppsrv_0_1_34/>
<pppsrv_0_8_35/>
</psitree>
{% endhighlight %}


cat
---

Auf dem Router ist scheinbar ein Linux-System. Der Telnet-Befehl `cat /etc/passwd` bringt folgende Ausgabe:

~~~
admin:0EppFIXru3Cq.:0:0:Administrator:/:/bin/sh
support:Tvs5UXTUv2zSM:0:0:Technical Support:/:/bin/sh
user:eSlI8uHnuXOGI:0:0:Normal User:/:/bin/sh
nobody:8IHfJi1cB7PZE:0:0:nobody for ftp:/:/bin/sh
~~~


swversion
---------

Der Befehl `swversion show` zeigt die Versionsnummer: **`3.12L.01.B2pB023k.d20k_rc2`** - im Gegensatz zu der im Backend
gezeigten `4.212`. Schaut man [hier](http://broadbandforum.in/bsnl-broadband/49368-firmware-upgrade-all-models-bsnl/3/#post327148)
oder [hier](http://www.indiabroadband.net/bsnl-broadband/12849-help-needed-could-not-open-some-web-sites.html#post83962),
sieht man, dass diese Firmware scheinbar auch auf einem *Beetel 110BX1* zu finden ist, was es z.B. für Airtel Kunden
gibt. Eine Firmware für das Modell mit genau dieser Versionsnummer gibt's auf [wiki.broadbandforum.in](http://wiki.broadbandforum.in/beetel-110-bx1-firmware-312l01a2pb023kd20k-rc2).


Firmware
========

Bisher ist keine Hersteller-Firmware speziell für das Gerät bekannt. Allerdings munkelt man im [modemboard.net](http://www.modemboard.net/topic/1338-alice-wlan-1121-firmware-betreiben/),
dass das Gerät eigentlich ein [SIEMENS SL2-141-I]({% post_url 2009-08-19-siemens-sl2-141-i %}) (mit leicht geänderter
Hardware-Anordnung) in neuer Verpackung ist - und somit auch die Firmware des SL2 funktioniert.


Versteckte Konfigurationsseiten
-------------------------------

Schaut man in der Firmware des *110BX1* nach, welche übrigens von *BroadCom* ist, findet man in Textform haufenweise
Namen von `html`-Dateien. Mit diesen Namen ist es möglich, Einstellungen vorzunehmen, an die man sonst gar nicht ran
kommen würde. Einige sind z.B. <http://alice.box/logconfig.html>, <http://alice.box/scprttrg.html> und <http://alice.box/statsatmreset.html>.
Letztere leitet weiter zu <http://alice.box/a1d2v3a4n5c6e7d8.html> und dahinter verbirgt sich **die vermisste Konfigurationsoberfläche**.
Nach Eingabe des [Administrator-Passworts](#telnet-zugang) hat man plötzlich sämtliche Einstellmöglichkeiten, die man
von dem alten Modell gewohnt war.

**UPDATE:** Wie ich gerade gesehen habe, wurde das auch schon unter
[blog.entheogene.de](http://blog.entheogene.de/index.php?itemid=469) herausgefunden.


Kernel
------

Laut den Zeichenketten im Firmware-Image des *110BX1* könnte es sich um einen Linux-Kernel 2.6.8.1 handeln. Unter den
Modulen findet sich ein `br2684.ko` - BroadCom. Jetzt fragt sich, ob es möglich ist, dort *OpenWrt*, *DD-WRT* oder
ähnliches zu installieren.


Hardware
========

* [Broadcom BCM4312KFBG](http://www.broadcom.com/products/Wireless-LAN/802.11-Wireless-LAN-Solutions/BCM4312) --- 802.11a/b/g Transceiver for SDIO and PCI Express
* [Broadcom BCM5325EKQMG](http://www.alldatasheet.com/datasheet-pdf/pdf/176014/BOARDCOM/BCM5325E.html) --- 6-port managed 10/100 ROBOswitch
* [Broadcom BCM6338KFBG](http://www.alldatasheet.com/datasheet-pdf/pdf/84791/BOARDCOM/BCM6335.html) --- Single Chip ADSL to Ethernet CPE Router
* [winbond W9812G6IH-6](http://winbond-usa.com/products/winbond_products/pdfs/Memory/W9812G6IHa.pdf) --- 2M x 4 banks x 16 Bits SD-RAM
* [Macronix KH29LV320CBTC-70G](http://www.macronix.com.hk/datasheet/KH29LV320CT-B-1.1.pdf) --- 32 MBit Flash Memory


Oberseite
---------

<img src="{{ site.url }}/assets/board-top.jpg" alt="Foto Oberseite" height="500" />


Unterseite
----------

<img src="{{ site.url }}/assets/board-bottom.jpg" alt="Foto Unterseite" height="500" />


*[WLAN]: Wireless Local Area Network
*[MAC]: Media Access Control
*[SDIO]: Secure Digital Input/Output
*[PCI]: Peripheral Component Interconnect
*[ADSL]: Asynchronous Digital Subscriber Line
*[CPE]: Customer-Premises Equipment
*[SD-RAM]: Synchronous Dynamic Random Access Memory
