---
title: WiFi on the Acer Aspire One
layout: default
created: 2008-10-21 00:14:48 +0200
updated: 2009-09-14 18:48:23 +0200
toc: false
tags:
  - know-how
  - hardware
  - acer
  - aspire
  - wifi
---
**Chipset:** Atheros AR2425

Change Regdomain
================

The WiFi card comes set to regdom `0x65` (World/ETSI C) which limits the channels to 1..11. (`iw list` shows
channels 12..14 as *disabled*.) In Germany, there are also channels 12 and 13 which are unusable this way. But
there's the tool `ath_info` which can read and write the EEPROM on the card and thus also the regdomain.

First, find the base address of the adapter using

    lspci -vv

Mine was at address `75200000`. Now you can dump the contents of the EEPROM using

    ath_info 0x75200000

To write the EEPROM, you have to unlock it by setting a GPIO register, namely the first, to zero. I changed the
regdomain to <del>0x00 (=ALL channels available)</del> 0x68 (=EU1 World) using this command:

    ath_info -g 1:0 -w 0x75200000 regdomain 68

You can find all valid codes by looking at the `DMN_` constants in the
[regdom.h](http://www.cs.fsu.edu/~baker/devices/lxr/http/source/linux/drivers/net/wireless/ath5k/regdom.h) file.

After unloading the modules: `ath5k`, `ath`, `mac80211` and `cfg80211` and doing a `modprobe ath5k`, the command
`iw list` should show the two new channels enabled.


**For older ieee80211 modules**, there's a module option `ieee80211_regdom` for the `cfg80211` module. This takes
the values `US`, `JP` or `EU`. Add the following lines to `/etc/modprobe.d/options`:

    options cfg80211 ieee80211_regdom=EU
    options lbm_cw_cfg80211 ieee80211_regdom=EU

And after a reboot, you will have channels 12 and 13 available.

On Jaunty, you have to install the package `iw` and use the following command in e.g. your `/etc/rc.local` to set
the regdomain to *Germany*:

    iw reg set DE


Possible errors
---------------

If you get the message `MAC revision 0xffff is not supported!` it means that some other module, likely `ath_hal`
and/or `ath_pci` took over your card.
