---
title: apt-rpm
layout: default
created: 2008-12-11 17:06:19 +0100
updated: 2008-12-11 17:38:35 +0100
toc: false
tags:
  - know-how
  - software
  - linux
  - software
  - apt
---
At work we have the [Kerio Mailserver](http://www.kerio.com/mailserver) Appliance for VMware which is based on Fedora
Core 6. Since they use the ugly `[yum](http://yum.baseurl.org/)`, I decided to install `[apt-rpm](http://apt-rpm.org/)`.
I'm still missing something like `[aptitude](http://algebraicthunk.net/~dburrows/projects/aptitude/)`, but it is okay now.

`apt-rpm` expects some `*.list` files in the `/etc/apt/sources.list.d/` directory - as does the Ubuntu `apt-get`.


Repositories
============

Since I had some time to find all repos, here's ist an overview:

* **os.list** (pre-installed, shortened to the neccessary ones)

        # Name: Operating system and updates

        ### Fedora Core Linux
        #repomd http://ayo.freshrpms.net fedora/linux/$(VERSION)/$(ARCH)/core
        #repomd http://ayo.freshrpms.net fedora/linux/$(VERSION)/$(ARCH)/updates
        rpm http://ayo.freshrpms.net fedora/linux/$(VERSION)/$(ARCH) core updates

        #offline: repomd http://download.fedora.redhat.com/pub/ fedora/linux/core/$(VERSION)/$(ARCH)/os/
        repomd http://download.fedora.redhat.com/pub/ fedora/linux/extras/$(VERSION)/$(ARCH)/
        #offline: repomd http://download.fedora.redhat.com/pub/ fedora/linux/core/updates/$(VERSION)/$(ARCH)/</code>

* **dries.list**

        # Name: Dries Repository

        #repomd http://ftp.belnet.be/packages/dries.ulyssis.org/fedora/linux/$(VERSION)/$(ARCH)/dries
        rpm http://apt.sw.be fedora/$(VERSION)/en/$(ARCH) dries</code>

* **freshrpms.list**

        # Name: freshRPMs

        # core and updates are used in os.list
        rpm http://ayo.freshrpms.net fedora/linux/$(VERSION)/$(ARCH) extras freshrpms</code>

* **livna.list**

        # Name: livna

        repomd http://rpm.livna.org fedora/$(VERSION)/$(ARCH)
        repomd http://rpm.livna.org fedora/testing/$(VERSION)/$(ARCH)</code>

* **remi.list**

        # Name: Les RPM de Remi

        repomd http://rpms.famillecollet.com fc$(VERSION).$(ARCH)</code>

The difference between the **`rpm`** and the **`repomd`** is simple: A `repomd` points to a single repository whereas
`rpm` can point to different in one line. Example:

    repomd http://ayo.freshrpms.net fedora/linux/$(VERSION)/$(ARCH)/core
    repomd http://ayo.freshrpms.net fedora/linux/$(VERSION)/$(ARCH)/updates

is exactly the same as

    rpm http://ayo.freshrpms.net fedora/linux/$(VERSION)/$(ARCH) core updates


Notice the two last words in the last example. The resemble the two directories of the two `repomd` statements. You
know it is a repository if the path contains a folder `repodata`, such as [this one](http://ayo.freshrpms.net/fedora/linux/6/i386/core/repodata).

Knowing that, you can find more Repos using [Google](http://google.com/search?q=allinurl%3A+i386+repodata+repomd+%2B6+fc+OR+fedora) with an
[advanced query](http://letmegooglethatforyou.com/?q=allinurl%3A+i386+repodata+repomd+%2B6+fc+OR+fedora).
