---
title: VGA mode for older WM programs
layout: default
created: 2009-02-02 23:41:46 +0100
updated: 2009-02-02 23:41:46 +0100
toc: false
tags:
  - know-how
  - software
  - windows-mobile
---
Most older programs, like [The Dog Ate It](http://www.birdsoft.biz/dogateit2.htm) are using the old 240x320 format with
double pixel size. So for TDAI, this had the effect, that the ClearTyped text was badly readable because of the big
pixels.

The problem is that these old programs don't bring the `HI_RES_AWARE` flag which causes this double pixel mode, i.e.
the program thinks the screen has only 240x320 pixels but Windows Mobile paints every pixel as 2x2 pixels on the screen
- including ClearType fonts.

So I found [pocketnow.com](http://pocketnow.com/index.php?a=portal_detail&t=reviews&id=702) which suggests to download
the [MuiTest application](http://www.tweaks2k2.com/portal/filemgmt/singlefile.php?lid=16) and unpack it into any folder.
There you'll find a file `MuiTest.exe.0409.mui`. This file only contains the statement that the application should be
run in VGA mode - and this is transferable to any other application. So for TDAI, the executable is named
`TheDogAteIt.exe` so you have to rename the MUI file to `TheDogAteIt.exe.0409.mui` and put it in the same directory on
the device. Now, TDAI should run in VGA.

This trick also makes [Vectorsoft Draw](http://www.vectorsoft.gr/site/draw/index.htm) more usable (although the toolbar
with the forms disappears) and the [VBB fahrinfo](http://www.vbbonline.de/index.php?cat=436&sCat=12) shows more results
on a page.

<p><div class="notewarning" markdown="1">
The MUI file is not signed and thus Windows Mobile might bring a red warning when trying to start such a program. You
can disable this behavior using the [Device Security Manager](http://www.microsoft.com/downloads/details.aspx?FamilyID=7E92628C-D587-47E0-908B-09FEE6EA517A&displaylang=en)
from the PowerToys.
</div></p>
