---
title: U3 Basics
language: en
layout: default
created: 2009-07-19 14:16:00 +0200
updated: 2009-07-22 20:46:36 +0200
toc: false
tags:
  - know-how
  - software
  - windows
  - u3
---
U3 USB Stick
============

The U3 capable stick will emulate 2 devices: a virtual CD-ROM drive and the actual flash disk. The virtual CD drive
contains the *LaunchPad* software manager and it is on this extra area to let it be automatically run by Windows (as
Autorun from USB flash disks doesn't work correctly). Another advantage is that you can't easily/accidentally erase the
LaunchPad.

The flash disk contains your U3 programs, their settings as well as anything else you put on it. It should be FAT32
formatted, although NTFS also works. But the latter one might make properly ejecting the drive harder. I had problems
with Windows blocking the drive not allowing me to properly eject it.


U3 LaunchPad
============

The *LaunchPad* manages the installed U3 packages and provides a simple launcher for them. It uses the files below the
hidden `System` directory on your stick. It reads the `manifest.u3i` files from your packages and does the necessary
steps to run the programs you clicked. It also makes sure that all your U3 programs are properly shut down when
clicking the *Eject* button or removing the U3 drive (In the latter case, most programs will lose their changes.)


U3 Packages (U3P)
=================

U3 applications come in `*.u3p` files which are mostly wrapped in an `*.exe`-installer. The installer decompresses the
`u3p`-file and then calls the installation routine of the *U3 LaunchPad*. This is how you get new programs onto your U3
drive. All installed U3 packages are kept in their original form below the `System` directory on your U3 drive.

Such a `u3p`-file is an ordinary [ZIP](http://en.wikipedia.org/wiki/ZIP_(file_format)) archive. The main contents of
a package look like this:

* 📂 **`data`** (directory, optional)
    * 📄 `...` --- various data files, settings, etc.
* 📂 **`exec`** (directory, optional)
    * 📄 `...` --- program files to be executed directly on stick
* 📂 **`host`** (directory)
    * 📄 `...` --- various program files to be copied to HDD and run from there
* 📂 **`manifest`** (directory)
    * 📄 `....ico` --- package icon
    * 📄 `manifest.u3i` --- package description and macros
