---
title: Französisch in Berlin
language: de
layout: default
created: 2009-02-23 01:51:01 +0100
updated: 2009-02-23 01:51:01 +0100
toc: false
tags:
  - miscellaneous
  - berlin
  - french
---
Extrakt aus "[Französisch im Berliner Jargon](http://www.amazon.de/gp/product/B00ECD0KOC/ref=as_li_tl?ie=UTF8&camp=1638&creative=19454&creativeASIN=B00ECD0KOC&linkCode=as2&tag=mbirth-21&linkId=ALV2OJG4DU2U2NQ4)" von Ewald Harndt:

Dort wird u.a. aufgezeigt, dass viele Wörter im normalen (Berliner) Sprachgebrauch ursprünglich dem Französischen entlehnt sind. Das liegt wohl vor allem daran, dass im 17. und 18. Jahrhundert der Adel mehr französisch als deutsch gesprochen hat. Die deutschprachigen haben dann zum einfacheren Erlernen meist beide Wörte verbunden ausgesprochen. Ganz besonders spannend fand ich da das beliebte Zeitvertreibspiel "Keesekästchen". Das kommt laut dem Büchlein von *la caisse* = der Kasten. Oder auch gut: klammheimlich kommt von *clam* (lat.) = heimlich.

Andere tolle - und mir bisher unbekannte - Importe:

  * aus dem Polnischen, u.a.: Großkotz, Kabache, Pennunze, Pomade, dalli
  * aus dem Jiddischen, u.a.: Kaschemme, mauscheln, meschugge, Mischpoche, Ramsch, Schmu, schnorren, schofel
  * aus dem Lateinischen, u.a.: Lokus, Moneten, Palaver, Pelle, Pulle, Tempo, famos, fatal, intus, kapieren, kolossal, simulieren
  * "totschick" kommt von "tout chic"
  * der Stadtteil "Moabit" kommt von französischen Aussiedlern, die dort vergebens Obst und Gemüse
    anbauen wollten: *la terre de Moab* bzw. *la terre maudite* - das verfluchte, sehr schlechte Land
  * viele Speisen wurden von den Franzosen importiert: *boulette* = Fleischkügelchen, *ragoût fin* haben wir den Hugenotten
    zu verdanken und aus *griebelettes*, kleinen in Speck gebratenen Fleischstückchen wurde Griebenschmalz.   
    Des weiteren wurden französische Begriffe eingedeutscht: Püree, Karotten, Eclair, Filet, Frikassee, Kotelett, Omelett, Roulade
  * im weiteren Sprachgebrauch: Amusement, Canaille, Cousine, Couvert, Kommode, Malheur, Misère, Parterre, Pissoir, Portemonnaie,
    penibel, perdu, Rage, Salon, Skandal
  * besonders kompliziert einzudeutschen: Balkon, Bravour, Chance, Pedant, Milieu, Revanche, Sabotage, Vase
  * "passieren" von *se passer* = sich ereignen, stattfinden
  * das "Karree" kommt von *carré* = Geviert, Quadrat, viereckiger Häuserblock
  * Pleonasmus[^1], den man kennen könnte: Deez-Kopp (Deez = Berliner Schnauze für *tête*)
  * weitere Umwandlungen: *trottoir* → Trittoar, *fête* → Fetz/Fete, *adroit* → adrett, *propre* → proper, *vif* (lebendig) → gewieft,
    *clameur* (Geschrei) + *clameux* (lärmend) → Klamauk, *de la bredouille* (Tricktrack, Matsch) → Bredulje (Verlegenheit, Klemme),
    *pleurer* (weinen) → plärren, jmd. eine *chance* geben → ihm etwas zuschanzen, *la pique* (Groll) → "Sie hat 'ne Pike uff mir",
    *les bottines* (Stiefel) → Botten
  * die Ratte beim Bowling kommt von *raté* (Versager, Blindgänger) bzw. *rater* (verfehlen)
  * "etepetete" kommt von *être peut-être* = im Zweifel sein
  * "Kommißbrot" kommt nicht aus dem lat. Kommiß (Truppe, Heer) sondern, da - mangels Militärbäckereien - Brot für die Soldaten
    in der Stadt von *commissionaires* aufgekauft wurde, von "Kommissionärsbrot"
  * *qincailleries* (metallene Haushaltswaren bzw. wertlose Kleinigkeiten, blecherner Schnickschnack) → Kinkerlitzchen
  * *querelle* (Querelen) → krakehlen
  * "Muckefuck" kommt vom *mocca faux*, falschem Kaffee, einem sehr dünnen Kaffeeaufguss (wegen hohem Kaffeezoll),
    der mittels Chicoree-Extrakten schwarz eingefärbt wurde
  * *moi tout seul* = ich ganz allein, wird mittels Pleonasmus zu "mutterseelenallein"
  * "Fisimatenten" könnte sich zweierlei ableiten:
      1. abgeleitet von der Ausrede für zu spät zurückkehrende Soldaten *j'ai visité ma tante* (=Ich hab meine Tante besucht.)
         im Sinne von "faule Geschichte, Umstände"
      2. von *visitez ma tente*, womit napoleonische Soldaten wohl gern willige Mädchen in ihr Zelt eingeladen haben
         (Mutter an Tochter: "Mach mir keene Fisimatenten!")
  * "Zislaweng", mit Schwung, kommt von *ainsi cela vient* = "so kommt das", im Sinne von: Geschicklichkeit ist keine Hexerei
  * der "große Onkel" (großer Zeh am Fuß) kommt vom *ongle*, dem Nagel an der Zehe, Fußklaue
  * "blümerant" kommt von *bleu mourant*, ein sterbendes, blasses Blau mit dem Friedrich II. sein Porzellanservice
    verzieren ließ. Im Sinne von "übelerregend".
  * "Happen" (Essen) kommt vom *happée* = Bissen
  * "Sich einen uff die Lampe gießen" kommt von *lamper* = übermäßig, in kräftigen Zügen trinken bzw. *la lampée* = tüchtiger Schluck
  * "Es ist alle." im Sinne von aufgebraucht, verbraucht geht zurück auf zwei hugenottische Schwestern, die an der Jungfernbrücke
    selbstgemachte Stickereien anboten. War ein Muster ausverkauft, hieß es "*c'est allé*" = es ist ausgegangen, aufgebraucht.
  * "mausetot" kommt wahrscheinlich von *mort aussitôt* bzw. *mort si tôt* (sofort, sehr schnell, sogleich tot)
  * "Scheese" (Fahrzeug, Auto) kommt vielleicht von *la chaise* = der Stuhl, im Sinne von fahrendem Stuhl (vgl. Sänfte = *porte-chaise*);
    eher aber vom Hugenotten *Philippe de Chièze*, der einen gefederten Kutschenwagen erfunden hatte. Die Berliner nannten das Gefährt
    nach dem Erfinder, wie z.B. auch der Kremser nach Simon Kremser benannt wurde
  * bei "bonfortionös" (großartig, herrlich) ist die Herkunft von *bonne fortune* (gut Glück) ungewiß
  * in den napoleonischen Besatzungsjahren haben einige Immigranten ihre Nachnamen eingedeutscht: aus "*Le Jeune*" wurde Jung,
    *Moineau* → Sperling, *Laforge* → Schmidt (man denke an Star Trek: "Wie steht es um den Warp Antrieb, Herr Schmidt?"  ),
    *Malin* → Boes/Bös, *Blanc* → Weiß
  * Beim Trinken anstoßen "auf General Knusemong" kommt von *en général que nous aimons* = insbesondere auf das, was wir lieben/mögen

[^1]: Wikipedia: [Pleonasmus](http://de.wikipedia.org/wiki/Pleonasmus)
